clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
128.2
128.3875
128.575
128.7625
128.95
129.1375
129.325
129.5125
129.7
129.8875
130.075
130.2625
130.45
130.6375
130.825
131.0125
131.2   
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00102506	0.00101837	0.00101145	0.00100429	0.000996895	0.000989263	0.00098139	0.000973273	0.000964907	0.000956288	0.000947405	0.000938247	0.000928798	0.000919028	0.000908895	0.000898324	0.000887175;
0.00102356	0.00101688	0.00100997	0.00100282	0.000995439	0.000987817	0.000979956	0.000971852	0.000963498	0.000954891	0.000946021	0.000936877	0.000927442	0.000917686	0.000907568	0.000897012	0.000885879;
0.00102207	0.0010154	0.0010085	0.00100136	0.000993987	0.000986378	0.000978527	0.000970434	0.000962093	0.000953498	0.000944642	0.000935511	0.000926089	0.000916348	0.000906245	0.000895704	0.000884587;
0.00102058	0.00101392	0.00100703	0.000999902	0.00099254	0.000984941	0.000977102	0.000969021	0.000960692	0.00095211	0.000943266	0.000934149	0.000924741	0.000915013	0.000904925	0.0008944	0.0008833;
0.0010191	0.00101245	0.00100556	0.000998447	0.000991097	0.000983509	0.000975682	0.000967612	0.000959295	0.000950725	0.000941894	0.000932791	0.000923396	0.000913683	0.000903609	0.000893099	0.000882015;
0.00101762	0.00101098	0.0010041	0.000996998	0.000989657	0.000982081	0.000974265	0.000966207	0.000957903	0.000949345	0.000940527	0.000931437	0.000922055	0.000912357	0.000902297	0.000891803	0.000880734;
0.00101614	0.00100951	0.00100265	0.000995553	0.000988223	0.000980657	0.000972853	0.000964807	0.000956513	0.000947968	0.000939164	0.000930086	0.000920719	0.000911034	0.000900989	0.000890509	0.000879457;
0.00101467	0.00100805	0.0010012	0.000994111	0.000986792	0.000979237	0.000971444	0.000963409	0.000955129	0.000946597	0.000937804	0.000928739	0.000919386	0.000909715	0.000899684	0.00088922	0.000878184;
0.00101321	0.00100659	0.000999749	0.000992674	0.000985365	0.000977822	0.00097004	0.000962017	0.000953748	0.000945228	0.000936448	0.000927397	0.000918056	0.0009084	0.000898384	0.000887935	0.000876915;
0.00101174	0.00100514	0.000998306	0.000991241	0.000983943	0.00097641	0.000968639	0.000960628	0.000952371	0.000943863	0.000935096	0.000926058	0.000916731	0.000907089	0.000897087	0.000886653	0.000875649;
0.00101028	0.00100369	0.000996867	0.000989812	0.000982524	0.000975003	0.000967243	0.000959243	0.000950999	0.000942503	0.000933748	0.000924723	0.000915409	0.000905781	0.000895794	0.000885375	0.000874387;
0.00100883	0.00100225	0.000995432	0.000988388	0.00098111	0.000973599	0.000965851	0.000957862	0.00094963	0.000941146	0.000932404	0.000923392	0.000914092	0.000904477	0.000894504	0.0008841	0.000873128;
0.00100738	0.00100081	0.000994001	0.000986967	0.0009797	0.0009722	0.000964463	0.000956486	0.000948265	0.000939793	0.000931064	0.000922065	0.000912778	0.000903177	0.000893219	0.00088283	0.000871873;
0.00100593	0.000999369	0.000992575	0.00098555	0.000978294	0.000970804	0.000963078	0.000955113	0.000946903	0.000938444	0.000929728	0.000920742	0.000911468	0.000901881	0.000891937	0.000881562	0.000870622;
0.00100449	0.000997937	0.000991152	0.000984138	0.000976892	0.000969414	0.000961698	0.000953744	0.000945546	0.000937099	0.000928395	0.000919422	0.000910162	0.000900588	0.000890659	0.0008803	0.000869374;
0.00100305	0.000996509	0.000989734	0.000982729	0.000975494	0.000968026	0.000960322	0.000952379	0.000944193	0.000935759	0.000927066	0.000918106	0.000908859	0.000899299	0.000889384	0.000879039	0.00086813;
0.00100162	0.000995084	0.000988319	0.000981325	0.0009741	0.000966642	0.000958949	0.000951018	0.000942844	0.000934421	0.000925741	0.000916794	0.00090756	0.000898014	0.000888113	0.000877783	0.000866889];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.6350 0.0780 0.1840]',...
    'MarkerFaceColor','[0.6350 0.0780 0.1840]')

zlim([0.00085 0.00103])
ylim([128.2E9 131.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([128.2E9 129.0E9 129.5E9 130.0E9 130.5E9 131.2E9])
zticks([0.00086 0.00090 0.00095 0.0010 0.00103])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - 36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_36AlDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_36AlDoped_strainenergy_LLZO_48e.png